com.independentsoft.exchange

## Enum DeliverMeetingRequests

- java.lang.Object
- - java.lang.Enum<DeliverMeetingRequests>
  - - com.independentsoft.exchange.DeliverMeetingRequests

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<DeliverMeetingRequests>

      public enum DeliverMeetingRequests
      extends java.lang.Enum<DeliverMeetingRequests>

  Defines how meeting requests are handled between the delegate and the principal.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DELEGATES_AND_ME` Meeting requests are forwarded to the delegate and remain in the Inbox folder in the principal's mailbox.
    `DELEGATES_AND_SEND_INFORMATION_TO_ME` Meeting requests are forwarded to the delegate and remain in the Inbox folder in the principal's mailbox, but the Accept, Tentative, and Decline buttons do not appear in the Microsoft Office Outlook reading pane.
    `DELEGATES_ONLY` Meeting requests are forwarded to the delegate and moved to the Deleted Items folder in the principal's mailbox.
    `NONE` Meeting requests are not forwarded to the delegate.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DeliverMeetingRequests` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static DeliverMeetingRequests[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DELEGATES_ONLY

          public static final DeliverMeetingRequests DELEGATES_ONLY

      Meeting requests are forwarded to the delegate and moved to the Deleted Items folder in the principal's mailbox.

    - #### DELEGATES_AND_ME

          public static final DeliverMeetingRequests DELEGATES_AND_ME

      Meeting requests are forwarded to the delegate and remain in the Inbox folder in the principal's mailbox.

    - #### DELEGATES_AND_SEND_INFORMATION_TO_ME

          public static final DeliverMeetingRequests DELEGATES_AND_SEND_INFORMATION_TO_ME

      Meeting requests are forwarded to the delegate and remain in the Inbox folder in the principal's mailbox, but the Accept, Tentative, and Decline buttons do not appear in the Microsoft Office Outlook reading pane.

    - #### NONE

          public static final DeliverMeetingRequests NONE

      Meeting requests are not forwarded to the delegate.

  - ### Method Detail

    - #### values

          public static DeliverMeetingRequests[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DeliverMeetingRequests c : DeliverMeetingRequests.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DeliverMeetingRequests valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null